---
title: "Adds an entry section to a product."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › entry

`POST /v1/stores/{store}/products/{product}/sections`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `entry:write`

## Path parameters

- `store` (`createSection.path.store`; string, required) — The store's id.
- `product` (`createSection.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Header parameters

- `Idempotency-Key` (`createSection.header.Idempotency-Key`; string, optional) — Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.
  - minLength 1; maxLength 255; pattern `^[\x21-\x7E]+$`

## Request body

_Required._

- `section` (`createSection.section`; string, required)
  - minLength 1; maxLength 120

## Example request

```json
{
  "section": "string"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/sections' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "section": "string"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/sections';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({section: 'string'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/sections"

payload = { "section": "string" }
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 201

Adds an entry section to a product.

#### Example

```json
[
  {
    "section": "string",
    "entries": 0,
    "id": null
  }
]
```

Any of:

- `object`
- `object`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`createSection.response.default.type`; string, required)
  - format `uri`
- `title` (`createSection.response.default.title`; string, required)
- `status` (`createSection.response.default.status`; integer, required)
- `detail` (`createSection.response.default.detail`; string, required)
- `code` (`createSection.response.default.code`; string, optional)
- `context` (`createSection.response.default.context`; object, optional)
- `reached_core` (`createSection.response.default.reached_core`; boolean, optional)
- `core_answer` (`createSection.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/create-section/index.md
